# FdoFeatureSchema Class Reference

`#include <FeatureSchema.h>`

Inheritance diagram for FdoFeatureSchema:

[legend]

List of all members.

## Detailed Description

The FdoFeatureSchema class derives from FdoSchemaElement. A feature schema contains all of the classes and relationships that make up a particular data model. The FdoFeatureSchema class can be used to either create a new schema or to browse the schema end of a connection. In the later case, the FdoFeatureSchema instance is created by the DescribeSchema command. In this case the schema objects have additional properties, such as coordinate system definitions that can be useful to the application when placed in context with the schema objects.

Definition at line 44 of file FeatureSchema.h.

## Public Member Functions
FDO_API void | AcceptChanges ()
| Accepts all of the changes that have been made to the feature schema. All child elements with a schema element state set to FdoSchemaElementState_Deleted are physically removed from the schema. All other child elements have their schema element state values set to FdoSchemaElementState_Unchanged. This method would usually be only called from an FDO Provider (IApplySchema implementation). It would not normally called by an FDO Client.
FDO_API FdoClassCollection * | GetClasses ()
| Returns an FdoClassCollection that contains all of the classes defined in the feature schema.
virtual FDO_API FdoXmlReader * | GetFromInternalStylesheet ()
| Gets the stylesheet for converting a Feature Schema collection from internal to external XML format. The internal format is very similar to the Feature Schema class hierarchy. The external format is OGC GML.
FDO_API FdoRelationCollection * | GetRelations ()
| Returns an FdoRelationCollection that contains all of the relations defined in the feature schema.
FDO_API void | RejectChanges ()
| Rejects all of the changes that have been made to the feature schema. All child elements with a schema element state set to FdoSchemaElementState_Added are physically removed from the schema. All other child elements are restored to their original states and have their schema element state values set to FdoSchemaElementState_Unchanged.
## Static Public Member Functions
static FDO_API FdoFeatureSchema * | Create (FdoString *name, FdoString *description)
| Constructs an instance of an FdoFeatureSchema using the specified arguments.
static FDO_API FdoFeatureSchema * | Create ()
| Constructs a default empty instance of an FdoFeatureSchema.

The documentation for this class was generated from the following file:

- FeatureSchema.h